{% extends "base.html" %}
{% block title %}ActivityPub relay{% endblock %}
{% block main %}
<section class="jumbotron text-center">
  <div class="container">
    <h1 class="jumbotron-heading">Another ActivityPub Relay Server</h1>
    <p class="lead text-muted">An ActivityPub relay at {{ public_hostname }}</p>
    <div class="card-deck">

      <div class="card">
        <div class="card-header">
          <small class="text-muted">Follower instances</small>
        </div>
        <div class="card-body">
          <h5 class="card-title">{{ stats.followers | length }}</h5>
        </div>
      </div>

      <div class="card">
        <div class="card-header">
          <small class="text-muted">Updates in the last week</small>
        </div>
        <div class="card-body">
          <h5 class="card-title">{{ stats.messages_week }}</h5>
        </div>
      </div>

      <div class="card">
        <div class="card-header">
          <small class="text-muted">Updates in the last day</small>
        </div>
        <div class="card-body">
          <h5 class="card-title">{{ stats.messages_day }}</h5>
        </div>
      </div>

    </div>
  </div>
</section>
<div class="container-fluid">
  <div class="row">

  <div class="col">
    <h2>Subscribe</h2>
    <p>To subscribe to this relay, use the following addresses:</p>
    <ul>
      <li>Mastodon: <code>{{ url_for('inbox', _external=True) }}</code></li>
      <li>Pleroma (and possibly others?): <code>{{ url_for('actor', _external=True) }}</code></li>
  </div>

    <div class="col">
      <h2>Followers</h2>
      <p><i>Average response time and request count are for the last week</i></p>
      <table class="table table-sm">
        <thead>
          <tr>
            <th>Domain</th>
            <th>avg (ms)</th>
            <th>#</th>
          </tr>
        </thead>
        <tbody>
          {% for follower in stats.followers %}
          <tr>
            <td><code title="{{ follower.inbox }}">{{ follower.domain }}</code></td>
            <td>{% if follower.instance in stats.requests %}{{ stats.requests[follower.instance].avg_ms | int }}{% endif %}</td>
            <td>{% if follower.instance in stats.requests %}{{ stats.requests[follower.instance].count }}{% endif %}</td>
          </tr>
          {% endfor %}
        </tbody>
      </table>
    </div>
<!--
    <div class="col">
      <h2>Following</h2>
      <ul>
        {% for following in stats.following %}
          <li><code>{{ following }}</code></li>
        {% endfor %}
      </ul>
    </div> -->

    <div class="col">
      <h2>Top Instances</h2>
      <table class="table table-sm">
        <thead>
          <tr>
            <th>Domain</th>
            <th>Messages</th>
          </tr>
        </thead>
        <tbody>
          {% for domain in stats.top_domains %}
          <tr><td><code>{{ domain.count }}</code></td><td>{{ domain.domain }}</td></tr>
          {% endfor %}
        </tbody>
      </table>
    </div>
  </div>
</div>
{% endblock %}
